Skip to main content
PATCH
Partially update theme

Path Parameters

themeId
integer<int64>
required

The ID of the theme object

Body

application/json
name
string

Theme name

description
string

Theme description

status
enum<string>

Current status of the theme

Available options:
ACTIVE,
DRAFT,
PAUSED
tags
string[]

Tags associated with the theme

projectIds
integer<int64>[]

Project IDs linked to the theme

Response

OK

projectIds
integer<int64>[]
required
colors
object[]
components
string[]
creationDate
string<date-time>
read-only
customFonts
object[]
dateModified
string<date-time>
read-only
description
string
id
integer<int64>
name
string
selectedFonts
object[]
status
enum<string>
Available options:
ACTIVE,
DRAFT,
PAUSED
tags
string[]
widgetIds
integer<int64>[]